Subject: bug#22147: Obsolete search-forward-lax-whitespace

From: Juri Linkov <[email-masked]>
Date: Tue, 17 May 2016 23:55:53 +0300

> Another consideration (for me, at least): I think (and hope) that
> eventually users will be able to have multiple such lists (sets)
> of char mappings that they can choose (and mix and match - sets of
> such sets, for different purposes/contexts).  IOW, I don't see just
> a single set of ad-hoc char mappings.  But this is anyway for the
> future.

Yes, we have to take into consideration that in addition to the
plain customizable list we are adding to the next release,
in later versions we might also add more customizable lists,
e.g. with categories and other character groups.

>> Another thing we need to do is to allow customization to remove
>> default mappings.  Maybe this is possible by using the same
>> defcustom with a rule like: remove default mappings when a char
>> is mapped to an empty list, e.g.
>>
>> - adding more mappings for ‘`’:
>>   (defcustom char-fold-ad-hoc '((?` "❛" "‘" "‛" "󠀢" "❮" "‹"))
>>
>> - removing default mappings for ‘`’:
>>   (defcustom char-fold-ad-hoc '((?`))
>
> Yes, I would think that would work (already).  But I could be wrong.
>
> Thanks for taking a look at this.

After long-planned terminology improvements, I'd wait for sync between
branches to avoid merge conflicts, and then I'll submit a patch taking
into account all opinions about the default value for users who will
enable this feature in the next release.